EqualsPredicate Class Reference

A predicate that compares for equality. More...

`#include <TermPredicate.h>`

Inheritance diagram for EqualsPredicate:

## Public Member Functions

| EqualsPredicate (size_t varCount=0)
Public Member Functions inherited from TermPredicate
| TermPredicate (size_t varCount=0)
virtual | ~TermPredicate ()
bool | operator() (const Term &a, const Term &b) const
bool | operator() (const Term &a, const Exponent *b) const
bool | operator() (const Exponent *a, const Term &b) const
bool | operator() (const Exponent *a, const Exponent *b) const
size_t | getVarCount () const
void | setVarCount (size_t varCount)

## Private Member Functions

virtual bool | doPredicate (const Exponent *a, const Exponent *b) const

## Detailed Description

A predicate that compares for equality.

Definition at line 155 of file TermPredicate.h.

## Constructor & Destructor Documentation

## EqualsPredicate()

EqualsPredicate::EqualsPredicate | ( | size_t | varCount = 0 | ) |

Definition at line 114 of file TermPredicate.cpp.

## Member Function Documentation

## doPredicate()

virtual bool EqualsPredicate::doPredicate | ( | const Exponent * | a,
|  | const Exponent * | b ) const

inline private virtual

Implements TermPredicate.

Definition at line 160 of file TermPredicate.h.

The documentation for this class was generated from the following files:

- src/TermPredicate.h
- src/TermPredicate.cpp